package com.jarvis.dataCenter.entity.report;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jarvis.lib.common.mybatisplus.entity.AbstractEntity;
import lombok.Data;

import java.util.Date;

/**
 * @author jinzhaopo
 * @date 2019-11-01 11:26
 */
@Data
@TableName("report_address_info")
public class ReportAddressInfo extends AbstractEntity {


    /**
     * 主键 自增长
     */
    private Integer id;

    /**
     * 机构ID 关联bus_agencyMaster->id
     */
    private Integer agencyId;

    /**
     * 地址名称 group（集团）、store（门店）
     */
    private String addrName;

    /**
     * 基础档案设置 机构地址类型
     */
    private String addrTyp;

    /**
     * 开票抬头
     */
    private String invTitle;

    /**
     * 国家ID
     */
    private Integer countryId;

    /**
     * 国家名称
     */
    private String countryName;

    /**
     * 省份ID
     */
    private Integer provinceId;

    /**
     * 省份名称
     */
    private String provinceName;

    /**
     * 城市ID
     */
    private Integer cityId;

    /**
     * 城市名称
     */
    private String cityName;

    /**
     * 区ID
     */
    private Integer countyId;

    /**
     * 区名称
     */
    private String countyName;

    /**
     * 详细地址
     */
    private String address;

    /**
     * 收货人
     */
    private String deliverName;

    /**
     * 手机
     */
    private String deliverMobile;

    /**
     * 固定电话
     */
    private String deliverPhone;

    /**
     * 邮编
     */
    private String postCode;

    /**
     * 经度
     */
    private String longitude;

    /**
     * 纬度
     */
    private String latitude;

    /**
     * 是否标经纬度 0：否 1：是
     */
    private Integer lonLatFlg;

    /**
     * 是否默认
     */
    private Integer isDefault;

    /**
     * 是否作废 0：作废 1：使用
     */
    private Integer useFlg;

    /**
     * 备注
     */
    private String memo;

    /**
     * 创建人
     */
    private String creator;

    /**
     * 修改人
     */
    private String editor;

    /**
     * 创建时间
     */
    private Date createdTime;

    /**
     * 更新时间
     */
    private Date updatedTime;

    /**
     * 税号
     */
    private String dutyId;

    /**
     * 发票类型
     */
    private String invoiceType;

    /**
     * 电子发票email
     */
    private String email;

    /**
     * 注册电话
     */
    private String registeredMobile;

    /**
     * 银行账号
     */
    private String bankAccount;

    /**
     * 开户行名称
     */
    private String invName;

    /**
     * 开票地址
     */
    private String invAddress;

    /**
     * 发票抬头类型：0单位；1个人
     */
    private Integer invTitleType;

}
