package com.jarvis.dataCenter.entity.report;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jarvis.lib.common.mybatisplus.entity.AbstractEntity;
import lombok.Data;

import java.util.Date;

/**
 * @author jinzhaopo
 * @date 2019-11-01 11:24
 */
@Data
@TableName("report_agency_info")
public class ReportAgencyInfo extends AbstractEntity {

    /**
     * 主键 自增长
     */
    private Integer id;

    /**
     * 上级机构ID
     */
    private Integer parentId;

    /**
     * 所属集团ID
     */
    private Integer groupId;

    /**
     * 机构编码
     */
    private String agencyCode;

    /**
     * 机构名称
     */
    private String agencyName;

    /**
     * 机构简称
     */
    private String agencyShortName;

    /**
     * 开票抬头
     */
    private String invTitle;

    /**
     * 基础档案设置 (椅位数)(com_sysItem)
     */
    private String qtyChair;

    /**
     * 基础档案设置 权限级别维度值id
     */
    private String permissionLevel;

    /**
     * 机构类型(预留)
     */
    private String agencyType;

    /**
     * 机构分类id 基础多级档案设置：ABC类(com_sysItem)itemGpCode = bus_agencyMaster_agencyCategory
     */
    private String agencyCategoryid;

    /**
     * 机构分类名称 基础多级档案设置：ABC类(com_sysItem)itemGpCode = bus_agencyMaster_agencyCategoryName
     */
    private String agencyCategoryName;

    /**
     * 基础档案多级 所属区域/子公司id  基础多级档案设置；一个集团总账户，允许建立该集团下的区域及子公司上下级关系
     */
    private String regionCoId;

    /**
     * 基础多级档案设置 所属区域/子公司名称
     */
    private String regionCoName;

    /**
     * 国家ID
     */
    private Integer countryId;

    /**
     * 国家名称
     */
    private String countryName;

    /**
     * 省份ID
     */
    private Integer provinceId;

    /**
     * 省份名称
     */
    private String provinceName;

    /**
     * 城市ID
     */
    private Integer cityId;

    /**
     * 城市名称
     */
    private String cityName;

    /**
     * 区ID
     */
    private Integer countyId;

    /**
     * 区名称
     */
    private String countyName;

    /**
     * 详细地址
     */
    private String address;

    /**
     * 机构负责人姓名
     */
    private String director;

    /**
     * 邮编
     */
    private String postCode;

    /**
     * 固定电话区号
     */
    private String areaCode;

    /**
     * 固定电话
     */
    private String telPhone;

    /**
     * 经度
     */
    private String longitude;

    /**
     * 纬度
     */
    private String latitude;

    /**
     * 是否标经纬度 0：否 1：是
     */
    private Integer lonLatFlg;

    /**
     * 成立日期 格式到年月日
     */
    private Date establishDate;

    /**
     * 公司信息ID 关联bus_companyInfo信息
     */
    private Integer companyInfoId;

    /**
     * 状态 0：禁用 1：启用
     */
    private Integer useFlg;

    /**
     * 备注
     */
    private String memo;

    /**
     * 创建人
     */
    private String creator;

    /**
     * 修改人
     */
    private String editor;

    /**
     * 创建时间
     */
    private Date createdTime;

    /**
     * 更新时间
     */
    private Date updatedTime;

    /**
     * 支付方式：1 全流程 0 精简支付
     */
    private Integer payStyle;

    /**
     * 推荐人
     */
    private String referee;

    /**
     * 是否团购  0：否 1：是
     */
    private Integer isGroupPurchase;

    /**
     * 报表机构类型(业务不要用):1(测试)2(禁用)3(专用)4(开城)5(大客户)6(金牌100)7(腰部100)8(激活券)9(其他)null未设置
     */
    private Integer reportFlag;

    /**
     * 1(开城)，2(进销存)，3(大客户)，4(金牌100)，5(腰部100)，6(激活券)，7（瑞尔外部），8（供应商调货），100(未设置)
     */
    private Integer reportAgencySign;

    /**
     * 是否签署医疗器械产品销售协议  0：否 1：是
     */
    private Integer isAgreement;

    /**
     * 0：未认证；1：已认证
     */
    private Integer authentication;
}
